/*
 * Copyright (c) 2005 Sendmail, Inc. and its suppliers.
 *	All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 * $Id: pmilter.h,v 1.1 2005/06/20 06:10:51 ca Exp $
 */

#ifndef PMILTER_H
#define PMILTER_H 1
#include "sm/generic.h"

#if SM_USE_PMILTER

sm_ret_T sspm_ehlo(ss_sess_P _ss_sess, sm_ret_T _cur_status);
sm_ret_T sspm_mail(ss_sess_P _ss_sess, sm_ret_T _cur_status, uint _argoffset);
sm_ret_T sspm_rcpt(ss_sess_P _ss_sess, ss_rcpt_P _ss_rcpt, sm_ret_T _cur_status);
sm_ret_T sspm_data(ss_sess_P _ss_sess, sm_ret_T _cur_status, bool *_pskip);
sm_ret_T sspm_body(ss_sess_P _ss_sess, uchar *_bufp, size_t _bytes2write, bool *_pskip);
sm_ret_T sspm_eob(ss_sess_P _ss_sess, uchar *_bufp, size_t _bytes2write, bool *_pskip);

#endif /* SM_USE_PMILTER */

#endif /* PMILTER_H */
